=== debian/changelog ===
ukui-screensaver (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 17 Aug 2021 20:41:03 +0800

ukui-screensaver (3.0.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 27 Sep 2020 14:47:09 +0800

ukui-screensaver (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standards-version to 4.5.0.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 12 Aug 2020 12:01:14 +0000

ukui-screensaver (2.1.1-1) unstable; urgency=medium

  * New upstream bugfix release:
    - Fix that long press the enter key will cause the crash.
    - Set default face to avoid empty frame.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 13 Apr 2020 16:33:05 +0800

ukui-screensaver (2.1.0-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Fix the problem that the on-screen keyboard
      is displayed incorrectly when dual screen.
    - Fix the issue that the second-user cannot
      use biometrics when switching users to lock the screen.
    - Fix the lock screen issue when root user switched tty
      back and forth.
    - Keep lock screen stays on top.
    - Fix that in extended mode, login interface cannot be switched
      between two monitors with the mouse.
    * Fix the problem that the first user could not lock
      the screen when logging in two users at the same time
      by user switching.
  * debian:
    - Bump standards-vertion to 4.5.0.
    - Remove the missing file from copyright.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 26 Mar 2020 21:19:04 +0800

ukui-screensaver (2.0.10-1) unstable; urgency=medium

  * New upstream release.
  * debian/{compat,control}
    - use debhelper-compat, bump to compat level version 12.
  * debian/control:
    - Bump standards-version to 4.4.1. No changes needed.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 11 Dec 2019 09:06:24 +0800

ukui-screensaver (2.0.9-0ubuntu1) eoan; urgency=medium

  * Bugfix only:
    - Don't lock when in live session. (LP: #1842855)
    - Fix the wrong background. (LP: #1836292)
    - Fix the wrong path of ukui-screensaver.menu.
    - Fix the errors when running Kydroid.
    - Fix the focus issues.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 07 Oct 2019 20:10:00 +0800

ukui-screensaver (2.0.7-1) unstable; urgency=medium

  [ Liu Yuanpeng ]
  * Set background widget on top. (LP: #1828955)
  * Set default background color. (LP: #1828982)
  * Fix that sometimes can't enter password.

  [ handsome_feng ]
  * Bump standards-vertion to 4.4.0.
  * Drop mate-session-manager.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 14 Aug 2019 09:04:48 +0800

ukui-screensaver (2.0.6-0ubuntu1) disco; urgency=medium

  * Bugfix only:
    - Fix the bug that the screensaver is still activated when
      sessionIdleOption is unchecked.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 12 Apr 2019 14:32:26 +0800

ukui-screensaver (2.0.5-0ubuntu1) disco; urgency=medium

  * Bugfix only:
    - Fix the wrong activated condition. (LP: #1822037)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 28 Mar 2019 16:38:31 +0800

ukui-screensaver (2.0.4-1) experimental; urgency=medium

  * Add /etc/pam.d/ukui-screensaver-qt.
  * Generate dbus adaptor in CMake file.
  * Bugfix: failed to switch to biometric authentication if no default device.
  * Bugfix: stop authentication before suspend and start it after wake up.
  * Bugfix: not activated when idel-activation-enabled is false.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 22 Mar 2019 11:38:03 +0800

ukui-screensaver (2.0.3-1) unstable; urgency=medium

  * Change UI.
  * Add virtual keyboard.
  * Add button for switching user.
  * Remove Xext dependency.
  * Auto retry if identify failed.
  * Set the button's cursor to PointingHand.
  * Add waiting movie after respond.
  * Show black if the saver's path doesn't exist.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 05 Jan 2019 16:10:25 +0800

ukui-screensaver (2.0.2-1) unstable; urgency=medium

  * Add fr.po, pt.po, ru.po.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 23 Oct 2018 14:14:18 +0800

ukui-screensaver (2.0.1-1) UNRELEASED; urgency=medium

  * Update translation.
  * Change Architecture to any.
  * New design implemneted with Qt5.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 29 Sep 2018 17:01:12 +0800

ukui-screensaver (1.1.2-1) UNRELEASED; urgency=medium

  * Set object name of auth_prompt_entry.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 26 Jun 2018 16:10:33 +0800

ukui-screensaver (1.1.1-1) UNRELEASED; urgency=medium

  * Fix a translation file typo
  * Add "Modified by:" to three files

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sat, 17 Mar 2018 14:01:48 +0800

ukui-screensaver (1.1.0-1) UNRELEASED; urgency=medium

  * Optimize the lock-dialog rendering process.
  * Remove frame shadow from the lock-dialog.
  * Add CSS stylesheets to the unlock button.
  * Migrate gtk-2.0 to gtk-3.0.
  * Update translation files.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 27 Feb 2018 15:41:35 +0800

ukui-screensaver (1.0.3-1) UNRELEASED; urgency=medium

  * [Fixed] screensaver-preferences can't preview "Blank Screen" correctly.
  * [Improved] Change the unlock arrow to button.
  * [Improved] Set the font style of username label.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Wed, 13 Sep 2017 09:14:54 +0800

ukui-screensaver (1.0.2-2) unstable; urgency=medium

  * Use tracker.d.o team address (Closes: #899718)

 -- Aron Xu <aron@debian.org>  Mon, 09 Jul 2018 17:09:48 +0800

ukui-screensaver (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #872968)

 -- Aron Xu <aron@debian.org>  Sat, 26 Aug 2017 15:26:45 +0800
