=== debian/control ===
Source: ukui-screensaver
Section: x11
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: Aron Xu <aron@debian.org>,
           handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: debhelper-compat (= 12),
               cmake (>=2.6),
               qtbase5-dev,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               libpam0g-dev,
               qttools5-dev,
               qttools5-dev-tools,
               libglib2.0-dev,
               libopencv-dev,
               libx11-dev,
               libxtst-dev,
               libgsettings-qt-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.github.com/ukui/ukui-screensaver
Vcs-Git: https://github.com/ukui/ukui-screensaver.git
Vcs-Browser: https://github.com/ukui/ukui-screensaver

Package: ukui-screensaver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         ukui-session-manager,
         mate-desktop-common
Replaces: ukui-screensaver-common (<< 2.0.0)
Description: Screensaver for UKUI desktop environment
 A simple and lightweight screensaver written by Qt5.
 The screensaver supports biometric auhentication which is
 provided by biometric-auth service.
